Skip to main content
PUT
/
personas
/
{id}
Update Persona
curl --request PUT \
  --url https://server.promptwatch.com/api/v2/personas/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "ageRange": "<string>",
  "educationLevel": "<string>"
}
'
{
  "id": "6ba7b822-9dad-11d1-80b4-00c04fd430c8",
  "name": "Alex — procurement lead",
  "description": "Evaluates vendors for mid-market SaaS; cares about ROI and implementation time.",
  "ageRange": "35-44",
  "educationLevel": "College degree",
  "createdAt": "2026-02-10T12:00:00.000Z",
  "updatedAt": "2026-03-20T08:30:00.000Z"
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Get yours from the Promptwatch dashboard under Settings > API Keys.

Path Parameters

id
string<uuid>
required

Persona ID

Body

application/json
name
string

Persona name

Minimum string length: 1
description
string

Persona description

Minimum string length: 1
ageRange
string

Target age range

educationLevel
string

Education level

Response

Default Response

id
string<uuid>
required

Persona unique identifier

name
string
required

Persona name

description
string
required

Persona description

createdAt
string<date-time>
required

Creation timestamp

updatedAt
string<date-time>
required

Last update timestamp

ageRange
string | null

Target age range

educationLevel
string | null

Education level